// Layout constraints for arranging window components.
// 07 Feb 1996 Derek Lieber
//
package ui;
import  java.awt.*;

// A cell whose contents can expand to fit available space.
// See also: ExpandableWidthConstraints, FixedWidthConstraints
//
public class StandardConstraints extends GridBagConstraints
   {
   public 
   StandardConstraints(boolean lastCellOnRow)
      {
      fill       = BOTH;
      weightx    = 1.0;
      weighty    = 1.0;
      gridheight = 1;
      gridwidth  = lastCellOnRow ? REMAINDER : 1;
      }
   }
