// Constants.
//
package jd;
import java.awt.Font;

interface Constants
   {
   static final String VERSION               = "1.11 (01 May 1998)";
   static final String PROPERTIES_FILENAME   = ".jdproperties";

   static final char   SOURCE_PATH_SEPARATOR = System.getProperty("path.separator").charAt(0); // eg. ";"
   static final char   CLASS_PATH_SEPARATOR  = System.getProperty("path.separator").charAt(0); // eg. ";"
   static final char   FILE_PATH_SEPARATOR   = System.getProperty("file.separator").charAt(0); // eg. "\"

   static final Font   SERIF_FONT            = new Font("Serif", Font.PLAIN, 14);
   static final Font   MONOSPACED_FONT       = new Font("Monospaced", Font.PLAIN, 14);

   // panel titles (also used as property list keys)
   //
   static final String CLASSES_TITLE         = "Classes";
   static final String THREADS_TITLE         = "Threads";
   static final String FRAMES_TITLE          = "Callers";
   static final String LOCALS_TITLE          = "Locals";
   static final String INSPECTOR_TITLE       = "Inspector";
   static final String CONSOLE_TITLE         = "Console";
   static final String SOURCE_TITLE          = "Source";

   // system menu titles (also used as menu actions)
   //
   static final String EDIT_SOURCEPATH_TITLE = "Edit Source Path";
   static final String EDIT_CLASSPATH_TITLE  = "Edit Class Path";
   static final String RESTART_TITLE         = "Restart";
   static final String EXIT_TITLE            = "Exit";
   
   static final String PROGRAM_TITLE         = "Program";
   static final String AUTHOR_TITLE          = "Author";

   // popup menu titles (also used as menu actions)
   //
   static final String SEARCHF_TITLE          = "Search Forward";
   static final String SEARCHB_TITLE          = "Search Back";
   static final String GOTO_TITLE             = "Goto Line";
   }
