// Layout constraints for arranging window components.
// 07 Feb 1996 Derek Lieber
//
package ui;
import  java.awt.*;

// A cell whose contents can expand horizontally.
// See also: StandardConstraints, FixedWidthConstraints
//
public class ExpandableWidthConstraints extends GridBagConstraints
   {
   public 
   ExpandableWidthConstraints(boolean lastCellOnRow)
      {
      fill       = HORIZONTAL;
      weightx    = 1.0;
      weighty    = 0.0;
      gridheight = 1;
      gridwidth  = lastCellOnRow ? REMAINDER : 1;
      }
   }
